package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Stb;
import com.brilliance.isc.bo.Sth;
import com.brilliance.isc.vo.manager.StbVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 
 */
@Mapper
public interface StbMapper {
    List<Stb> getDataTbaleByDbcode(@Param("tbl")String tbl ,@Param("uil")String uil);

    List<Stb> queryByPage(StbVo stbVo);

    Stb queryByCod(@Param("tbl")String tbl ,@Param("uil")String uil,@Param("cod")String cod);
    Stb queryByTxt(@Param("tbl")String tbl ,@Param("uil")String uil,@Param("txt")String txt);
    /**
     * stb操作
     * @param stb
     * @return
     */
    int insertStbInfo(Stb stb);

    int batchInsertStbInfo(List<Stb> list);

    int updateStbInfo(Stb stb);

    int batchUpdateStbInfo(List<Stb> list);

    int deleteStbInfo(Stb stb);

    int batchDeleteStbInfo(List<Stb> list);

    /**
     * sth操作
     * @param
     * @return
     */
    List<Sth> querySthAsCodeTable();

    Sth querySthByTbl(Sth sth);

    int insertSthInfo(Sth sth);

    int updateSthInfo(Sth sth);

    int deleteSthInfo(Sth sth);

    Stb selectByTblAndCodAndUil(@Param("tbl") String tbl, @Param("cod") String cod, @Param("uil") String uil);

    String selectCurkeyTxtrBycod(@Param("uil")String uil,@Param("cod")String cod);
}
